Subject: Re: building from scratch, a cygwin enviroment
From: John Jones <[email-masked]>
To: Robert Collins <[email-masked]>, [email-masked]
Date: Thu, 29 Nov 2001 11:22:07 +0000

hey

thanks again for the quick response (-;

right I cant use setup.exe from the cygwin env we use VISE to do various 
things (don't flame me that's the way life is I am not interested in this)

the real thing is collecting all the sources into a tree and building 
that source tree

so that they can be distributed on a CD

I wondered if anyone has done this before and had anything to share ?

regards

john jones

Robert Collins wrote:

> ----- Original Message -----
> From: "John Jones" <[email-masked]>
> 
>>Robert Collins wrote:
>>
>>
>>>There shouldn't be anything to satisfy, download the the winsup
>>>
> sources,
> 
>>>and setup is included.
>>>
>>
>>err I need to build things so make and gcc are needed which was not in
>>the setup.exe default
>>
> 
> Crossed wires. I meant that there are no *source* dependencies. Yes, gcc
> is needed, and that should grab most everything else.
> 
> 
>>>>can you see anything wrong with this approach ?
>>>>
>>>>
>>>Uhmm, yes ;}. A minimal cygwin setup is installed via simply running
>>>setup.exe and not choosing any packages. That will only installpackages
>>>from base, which are the core packages required to install and maintain
>>>cygwin, in the opinion of the cygwin developers && package maintainers.
> 
>>>So you shouldn't have to do *anything*.
>>>
>>>
>>
>>yeah but I need to give users my own product as well as cygwin and
>>this all comes in one handy johnsetup.exe telling users that they have to
>>download additional stuff is not really an option so I have to buildand
>>provide a cygwin env
>>
>>any advice ?
>>
> 
> reply to mailing list emails on the list, not privately ;}.
> 
> Subscribe to cygwin-apps, and read the archives there. I think you'll
> find that setup.exe's default capabilities will more than suffice once
> the multi-mirror code is in production.
> 
> Rob
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/